# Class Nip01Signer

#### Implements

- ISigner

- Defined in packages/signer/src/signers/nip01.ts:4

#####
Index

### Constructors

constructor

### Properties

nip04
nip44

### Methods

getPubkey
sign
ephemeral
fromSecret

##
Constructors

### constructor

- new Nip01Signer(secret: string): Nip01Signer

- #### Parameters

  - secret: string

  #### Returns Nip01Signer

  - Defined in packages/signer/src/signers/nip01.ts:7

##
Properties

### nip04

nip04: {
decrypt: (pubkey: string, message: string) => Promise<string>;
encrypt: (pubkey: string, message: string) => Promise<string>;
} = ...

Implementation of ISigner.nip04

- Defined in packages/signer/src/signers/nip01.ts:19

### nip44

nip44: {
decrypt: (pubkey: string, message: string) => Promise<string>;
encrypt: (pubkey: string, message: string) => Promise<string>;
} = ...

Implementation of ISigner.nip44

- Defined in packages/signer/src/signers/nip01.ts:26

##
Methods

### getPubkey

- getPubkey(): Promise<string>

- #### Returns Promise<string>

  Implementation of ISigner.getPubkey

  - Defined in packages/signer/src/signers/nip01.ts:15

### sign

- sign(
  event: StampedEvent ,
  ): Promise<
  {
  content: string;
  created_at: number;
  id: string;
  kind: number;
  pubkey: string;
  sig: string;
  tags: string[][];
  },
  >

- #### Parameters

  - event: StampedEvent

  #### Returns Promise<
  {
  content: string;
  created_at: number;
  id: string;
  kind: number;
  pubkey: string;
  sig: string;
  tags: string[][];
  },
  >

  Implementation of ISigner.sign

  - Defined in packages/signer/src/signers/nip01.ts:17

### `Static` ephemeral

- ephemeral(): Nip01Signer

- #### Returns Nip01Signer

  - Defined in packages/signer/src/signers/nip01.ts:13

### `Static` fromSecret

- fromSecret(secret: string): Nip01Signer

- #### Parameters

  - secret: string

  #### Returns Nip01Signer

  - Defined in packages/signer/src/signers/nip01.ts:11